Name: less
Version: 382
Release: alt1

Summary: A text file browser similar to more, but better
License: GPL
Group: File tools
Url: http://www.greenwoodsoftware.com/%name/
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: ftp://ftp.gnu.org/pub/gnu/%name/%name-%version.tar.bz2
Source1: faq_%name.html
Source2: lesspipe
Source3: lessfile
Source4: lesspipe.sh
Source5: lessfile.sh
Source6: lessclose.sh
Source7: zless
Source8: zless.1
Source9: lessecho.1
Source10: lesspipe.1
Source11: %name.sh
Source12: %name.csh

Patch1: %name-378-alt-tty.patch
Patch2: %name-381-alt-tinfo.patch

Requires: file, mktemp >= 1:1.3.1
Conflicts: bzip2 < 0:1.0.1-ipl6mdk

# Automatically added by buildreq on Mon Jun 24 2002
BuildRequires: libtinfo-devel

%description
The less utility is a text file browser that resembles more, but has
more capabilities.  less allows you to move backwards in the file as
well as forwards.  Since less doesn't have to read the entire input file
before it starts, less starts up more quickly than text editors (for
example, vi).

%prep
%setup -q
%__chmod -R u+w .
%patch1 -p1
%patch2 -p1
%__install -p -m644 %SOURCE1 .

%build
autoconf
%configure
%make_build

%install
%__mkdir_p $RPM_BUILD_ROOT{%_sysconfdir/profile.d,%_datadir/%name}
%makeinstall
%__install -p -m755 $RPM_SOURCE_DIR/{lesspipe,lessfile,zless} $RPM_BUILD_ROOT%_bindir/
%__install -p -m755 $RPM_SOURCE_DIR/{lesspipe,lessfile,lessclose}.sh $RPM_BUILD_ROOT%_datadir/%name/
%__install -p -m644 $RPM_SOURCE_DIR/{lessecho,lesspipe,zless}.1 $RPM_BUILD_ROOT%_man1dir/
%__install -p -m755 $RPM_SOURCE_DIR/%name.{sh,csh} $RPM_BUILD_ROOT%_sysconfdir/profile.d/
%__ln_s zless $RPM_BUILD_ROOT%_bindir/bzless
%__ln_s zless.1 $RPM_BUILD_ROOT%_man1dir/bzless.1
%__ln_s lesspipe.1 $RPM_BUILD_ROOT%_man1dir/lessfile.1

%files
%config(noreplace) %_sysconfdir/profile.d/%name.*
%_bindir/*
%_datadir/%name
%_mandir/man?/*
%doc NEWS *.html

%changelog
* Tue Feb 17 2004 Dmitry V. Levin <ldv@altlinux.org> 382-alt1
- Updated to 382.
- lesspipe.sh, lessfile.sh: updated.

* Thu Aug 28 2003 Dmitry V. Levin <ldv@altlinux.org> 381-alt2
- lesspipe.sh, lessfile.sh: updated.

* Sun Feb 16 2003 Dmitry V. Levin <ldv@altlinux.org> 381-alt1
- Updated to 381.

* Wed Oct 02 2002 Dmitry V. Levin <ldv@altlinux.org> 378-alt1
- Updated to 378.

* Thu Sep 05 2002 Dmitry V. Levin <ldv@altlinux.org> 376-alt2
- Fixed zless (#0001249).

* Wed Aug 14 2002 Stanislav Ievlev <inger@altlinux.ru> 376-alt1
- 376
- turn off patch 1 (author change logic but there are two last hunks he didn't fix)

* Mon Jun 24 2002 Dmitry V. Levin <ldv@altlinux.org> 374-alt3
- Patched to link with libtinfo.

* Wed Jun 05 2002 Dmitry V. Levin <ldv@altlinux.org> 374-alt2
- Dropped obsolete patches.
- Implemented lessfile/lessclose method.
- Added lessecho(1) and lesspipe(1) manpages (deb).
- Added %_bindir/{lesspipe,lessfile} to fit documentation.
- Added profile scripts for sh(1) and csh(1) to use
  lesspipe method by default.
- Updated dependencies.

* Wed Mar 06 2002 Dmitry V. Levin <ldv@alt-linux.org> 374-alt1
- 374.

* Fri Oct 26 2001 Dmitry V. Levin <ldv@alt-linux.org> 358-ipl7mdk
- Corrected dependecies.

* Sat Jan 27 2001 Dmitry V. Levin <ldv@fandra.org> 358-ipl6mdk
- Merge RH patches.
- lesspipe.sh: use only absolute pathnames for program calls.
- lesspipe.sh: Added support for troff text (manpages).

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 358-ipl5mdk
- Improved lesspipe.sh

* Tue Aug 29 2000 Dmitry V. Levin <ldv@fandra.org> 358-ipl4mdk
- RE adaptions.
- Moved lesspipe.sh and zless here from gzip package.
- Moved bzless here from bzip2 package.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 358-3mdk
- automatically added BuildRequires

* Thu Jul 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 358-2mdk
- rebuild for BM

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 358-1mdk
- new release
- use more macros

* Thu Jun 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 346-2mdk
- added UTF-8 patch from Alastair.McKinstry@compaq.com
- modularized path names

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 346-1mdk
- new release

* Fri Mar 31 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- use of _tmppath _prefix
- change copyright

* Mon Nov 01 1999 Vincent Saugey <vincent@mandrakesoft.com>
- add faq page to /usr/doc

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 340.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Update to 337
- Fix up URL
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- relocatable

* Tue Mar 16 1999 Preston Brown <pbrown@redhat.com>
- removed ifarch axp stuff for /bin/more, more now works on alpha properly.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 332 and built for Manhattan
- added buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
